Help us shape the future of Go! Take the 2026 Go Developer Survey

endpoints

package
v0.3.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Nov 23, 2021 License: MIT Imports: 3 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type EndpointsRequestBuilder

type EndpointsRequestBuilder struct {
	// contains filtered or unexported fields
}

EndpointsRequestBuilder builds and executes requests for operations under \print\services\{printService-id}\endpoints

func NewEndpointsRequestBuilder

NewEndpointsRequestBuilder instantiates a new EndpointsRequestBuilder and sets the default values.

func NewEndpointsRequestBuilderInternal

func NewEndpointsRequestBuilderInternal(pathParameters map[string]string, requestAdapter ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestAdapter) *EndpointsRequestBuilder

NewEndpointsRequestBuilderInternal instantiates a new EndpointsRequestBuilder and sets the default values.

func (*EndpointsRequestBuilder) CreateGetRequestInformation

CreateGetRequestInformation endpoints that can be used to access the service. Read-only. Nullable.

func (*EndpointsRequestBuilder) CreatePostRequestInformation

CreatePostRequestInformation endpoints that can be used to access the service. Read-only. Nullable.

func (*EndpointsRequestBuilder) Get

Get endpoints that can be used to access the service. Read-only. Nullable.

func (*EndpointsRequestBuilder) Post

Post endpoints that can be used to access the service. Read-only. Nullable.

type EndpointsRequestBuilderGetOptions

type EndpointsRequestBuilderGetOptions struct {
	// Request headers
	H map[string]string
	// Request options
	O []ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestOption
	// Request query parameters
	Q *EndpointsRequestBuilderGetQueryParameters
	// Response handler to use in place of the default response handling provided by the core service
	ResponseHandler ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.ResponseHandler
}

EndpointsRequestBuilderGetOptions options for Get

type EndpointsRequestBuilderGetQueryParameters

type EndpointsRequestBuilderGetQueryParameters struct {
	// Include count of items
	Count *bool
	// Expand related entities
	Expand []string
	// Filter items by property values
	Filter *string
	// Order items by property values
	Orderby []string
	// Search items by search phrases
	Search *string
	// Select properties to be returned
	Select_escaped []string
	// Skip the first n items
	Skip *int32
	// Show only the first n items
	Top *int32
}

EndpointsRequestBuilderGetQueryParameters endpoints that can be used to access the service. Read-only. Nullable.

type EndpointsRequestBuilderPostOptions

type EndpointsRequestBuilderPostOptions struct {
	//
	Body *i4a838ef194e4c99e9f2c63ba10dab9cb120a89367c1d4ab0daa63bb424e20d87.PrintServiceEndpoint
	// Request headers
	H map[string]string
	// Request options
	O []ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestOption
	// Response handler to use in place of the default response handling provided by the core service
	ResponseHandler ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.ResponseHandler
}

EndpointsRequestBuilderPostOptions options for Post

type EndpointsResponse

type EndpointsResponse struct {
	// contains filtered or unexported fields
}

EndpointsResponse

func NewEndpointsResponse

func NewEndpointsResponse() *EndpointsResponse

NewEndpointsResponse instantiates a new endpointsResponse and sets the default values.

func (*EndpointsResponse) GetAdditionalData

func (m *EndpointsResponse) GetAdditionalData() map[string]interface{}

GetAdditionalData gets the AdditionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.

func (*EndpointsResponse) GetFieldDeserializers

GetFieldDeserializers the deserialization information for the current model

func (m *EndpointsResponse) GetNextLink() *string

GetNextLink gets the nextLink property value.

func (*EndpointsResponse) GetValue

GetValue gets the value property value.

func (*EndpointsResponse) IsNil

func (m *EndpointsResponse) IsNil() bool

func (*EndpointsResponse) Serialize

Serialize serializes information the current object

func (*EndpointsResponse) SetAdditionalData

func (m *EndpointsResponse) SetAdditionalData(value map[string]interface{})

SetAdditionalData sets the AdditionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.

func (m *EndpointsResponse) SetNextLink(value *string)

SetNextLink sets the nextLink property value.

func (*EndpointsResponse) SetValue

SetValue sets the value property value.

Directories

Path Synopsis

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL